<style lang="less">
@import '@/assets/css/vars';
.FormSubscribe {
    background: @color-darkblue;
    margin: 30px 0 100px;
    padding: 60px 2rem;
    color: white;

    & > form {
        box-sizing: border-box;
        margin: 0 auto;
        padding: 0 2rem;
        max-width: @section-max-width;
        display: flex;
        flex-flow: row nowrap;
        align-items: center;
        justify-content: center;
        gap: 2rem;
    }

    label {
        flex: 1 1 100%;
        font-size: 3rem;
        line-height: 1;
    }

    input {
        flex: 0 0 424px;
    }

    button[type="submit"] {
        flex: 0 0 auto;
        font: inherit;
        width: 145px;
        height: 50px;
        padding: 0 0 .25rem;
        border-radius: 25px;
        background: white;
        border: 0;
        box-shadow: 0 3px 6px rgba(0,0,0,.5)
    }
}
</style>
<template>
<div class="FormSubscribe">
    <form>
        <label for="subsrc-email">Subscribe to Our&nbsp;Newsletter</label>
        <input id="subsrc-email" type="email" placeholder="Email" name="email" />
        <button type="submit">sign up</button>
    </form>
</div>
</template>